// This program reads grades and weights from stdin and prints the weighted
// average grade. It stops reading when it encounters a non-number or EOF.

#include <iostream>

int main()
{
    double weighted_sum = 0.0;
    double total_weight = 0.0;

    double weight, grade;

    // This loop uses an “advanced optimization technique”: interleaving input
    // and computation, which saves memory by not having to store all the
    // input. However, for much more than it gains in efficiency, it loses in
    // clarity compared to when we separate out the phases of input,
    // computation, and output. (See grading2.cpp for a first attempt at
    // making that separation. See grading3.cpp for how making the separation
    // allows us to introduce features that would be impossible without it.)
    while (std::cin >> grade && std::cin >> weight) {
        weighted_sum += grade * weight;
        total_weight += weight;
    }

    // Note that here we mix computation and output. It's hard to tease the
    // two apart because a potential computational error creates a second
    // path in the output.
    if (total_weight == 0)
        std::cout << "No average because total weight is 0.\n";
    else
        std::cout << "Average: " << weighted_sum / total_weight << '\n';
}
